<form action="<%= request.getAttribute("appPath") %>" method="post">

<%
int emailSizeAction = Integer.parseInt((String)request.getAttribute("MaxEmailSizeAction"));
%>

<div class="row">
	<div class="col-md-6">
		<div class="well">Select an action to determine how <%= productName %> handles large e-mails.
			If the size of an e-mail is smaller than the <b>Maximum allowed size</b>, these actions will not have any effect.
		</div>
		
		<div class="well-info-wrap">
			<div class="well-info-header">Configuration</div>
			<div class="well-info-body">
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('txtMaxEmailSize')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Maximum actionable size</span>
				<input class="form-control form-middle text-center pull-left wth-3" type="text" name="txtMaxEmailSize" value="<%=(String)request.getAttribute("MaxEmailSize")%>">
				<span class="form-control form-right form-text text-center pull-left wth-2">bytes</span>
				
				<div class="alert alert-info more_info" id="txtMaxEmailSize">
					This field allow you to take an action on an email that is larger than a certain size. For example, junk emails are hardly over
					1MB. Therefore, setting this value to 1MB and selecting <b>Do not filter</b> for action will cause Xeams to skip filtering for that message.
					
				</div>
				
				
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('cmbMaxEmailSizeAction')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Action</span>
				<select class="form-control form-right pull-left wth-5" name="cmbMaxEmailSizeAction">
					<option value="<%=MaxEmailActions.MESA_DO_NOTHING%>" <%=emailSizeAction == MaxEmailActions.MESA_DO_NOTHING ? "selected" : ""%>  >Take no action </option>
					<option value="<%=MaxEmailActions.MESA_BYPASS_RULES%>"  <%=emailSizeAction == MaxEmailActions.MESA_BYPASS_RULES ? "selected" : ""%> >Do not filter </option>
					<option value="<%=MaxEmailActions.MESA_REJECT%>"  <%=emailSizeAction == MaxEmailActions.MESA_REJECT ? "selected" : ""%>>Reject </option>
				</select>
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="cmbMaxEmailSizeAction">
					See description for <b>Maximum actionable size</b>.</b>
					
				</div>
				
				
				
				<br><br>
				
				
				
				
				<br style="clear:both;">
				<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('txtMaxGlobalSize')"><b>?</b></div>
				<span class="form-control form-middle form-text pull-left wth-4">Maximum "Global" size</span>
				<input class="form-control form-middle text-center pull-left wth-3" type="text" name="txtMaxGlobalSize" value="<%=(String)request.getAttribute("MaxGlobalSize")%>">
				<span class="form-control form-right form-text text-center pull-left wth-2">bytes</span>
				
				<br style="clear:both;">
				<div class="alert alert-info more_info" id="txtMaxGlobalSize">
					This field defines the maximum size of the email message handled by Xeams. Emails larger than this size will be rejected right away.<br><br>
					<h4>CAUTION!</h4>
					Xeams is not designed to handle large emails. Putting a value larger than 25MB will consume too much memory and can potentially result in a crash. 
					<a href="http://web.synametrics.com/SynaManInboundSmtp.htm" target="_blank">Click
					here</a> to learn about a better method.
					
				</div>



				
				<br style="clear:both;"><br>
				<button class="btn btn-sm btn-submit pull-right" type="image">Submit</button>
				<input type="hidden" name="operation" value="91" />
				</form>
				<br style="clear:both;">
			</div>
		</div>
	</div>
	
	<br class="hide_lg">
	<div class="col-md-6">
		<div class="well-info-wrap">
			<div class="well-info-header">Usage Tips</div>
			<div class="well-info-body no-padding">
				<div class="table-responsive">
					<table class="table table-striped table-bordered">
						<tr>
						<td style="white-space:nowrap;"><b>Take no action</b></td>
						<td>No action will be taken. The email will be parsed like any other message. This is the default action for large messages.</td>
						</tr>

						<tr>
						<td><b>Do not filter</b></td>
						<td>Select this option if you want <%= productName %> to skip parsing a large e-mail message. In this
							case every large e-mail will be delivered as-is to the destination server bypassing <%= productName %>'s
							Rules Engine completely. Note that you will not see large messages in Live monitor or any reports
							when this option is selected
						</td>
						</tr>

						<tr>
						<td><b>Reject</b></td>
						<td>Select this option if you do not want to accept messages larger than
							"Maximum allowed size". The sending SMTP server/client will get an error message with the
							following text.
							<div class="well" style="font-family:courier;">
								  The size of your e-mail message exceeds the maximum acceptable
								  message size determined by our company policies.
							</div></td>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>